divert(-1)

# "aclserv.m4"	K. J. Turner (kjt@cs.stir.ac.uk)	04/06/96
# 
# Copyright 1996 K. J. Turner, University of Stirling

# This "m4" macro file uses SAGE (Service Attribute Generator) to
# generate a LOTOS specification of an acknowledged connection-less service.
# Its characteristics are as follows:
# 
#   o User 1 may initiate normal data transfer. This is
#   provider-confirmed, unreliable and has primitives:
#   
#     DatagramReq (Addr, Addr, Data)
#     DatagramInd (Addr, Addr, Data)
#     DatagramCon ()
#     
#   Datagrams may occur for any pair of interaction group identifiers.

include(sage.m4)

divert

define(datagram,
  facility(12,provider_confirmed,reliable,
    Datagram(Addr1,Addr2,Data),Datagram()))
  
global(acl,forall_ids(datagram))
